Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/acpi: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Tue, 30 Jun 2015 14:40:28 -0500

http://sourceforge.net/projects/acpiclient/files/acpiclient/
ACPI client for battery, power, and thermal readings
---
 testing/acpi/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/acpi/APKBUILD
diff --git a/testing/acpi/APKBUILD b/testing/acpi/APKBUILD
new file mode 100644
index 0000000..4355a03
--- /dev/null
+++ b/testing/acpi/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer: 
+pkgname=acpi
+pkgver=1.7
+pkgrel=0
+pkgdesc="ACPI client for battery, power, and thermal readings"
+url="http://sourceforge.net/projects/acpiclient/files/acpiclient/"
+arch="all"
+license="GPL2"
+depends=
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/acpiclient/$pkgname-$pkgver.tar.gz"
+
+_builddir="${srcdir}/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR"=$pkgdir" install || return 1
+}
+
+md5sums="b52ce4ca39bbf7000a1c2de8879f1dcb  acpi-1.7.tar.gz"
+sha256sums="d7a504b61c716ae5b7e81a0c67a50a51f06c7326f197b66a4b823de076a35005  acpi-1.7.tar.gz"
+sha512sums="e6c96707d651eb20aa4a4c76f78891154d576ccdfaef08b5eff6094b90b62a0e97f6e35a4a996dcc3b5f0b57ee2c60542f41832039c6cbdf853ff3d022c1b609  acpi-1.7.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jun 30 2015 - 14:40:28 GMT